-----------------------------------------------------------------------
--  Gen.Database.Model -- Gen.Database.Model
-----------------------------------------------------------------------
--  File generated by ada-gen DO NOT MODIFY
--  Template used: templates/model/package-spec.xhtml
--  Ada Generator: https://ada-gen.googlecode.com/svn/trunk Revision 1095
-----------------------------------------------------------------------
--  Copyright (C) 2017 Stephane Carrez
--  Written by Stephane Carrez (Stephane.Carrez@gmail.com)
--
--  Licensed under the Apache License, Version 2.0 (the "License");
--  you may not use this file except in compliance with the License.
--  You may obtain a copy of the License at
--
--      http://www.apache.org/licenses/LICENSE-2.0
--
--  Unless required by applicable law or agreed to in writing, software
--  distributed under the License is distributed on an "AS IS" BASIS,
--  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
--  See the License for the specific language governing permissions and
--  limitations under the License.
-----------------------------------------------------------------------
pragma Warnings (Off);
with ADO.Sessions;
with ADO.Objects;
with ADO.Statements;
with ADO.SQL;
with ADO.Schemas;
with ADO.Queries;
with ADO.Queries.Loaders;
with Ada.Containers.Vectors;
with Ada.Strings.Unbounded;
with Util.Beans.Objects;
with Util.Beans.Basic.Lists;
pragma Warnings (On);
package Gen.Database.Model is

   pragma Style_Checks ("-mr");



   Query_Database_List : constant ADO.Queries.Query_Definition_Access;

   Query_Table_List : constant ADO.Queries.Query_Definition_Access;

   Query_Create_Database : constant ADO.Queries.Query_Definition_Access;

   Query_Create_User_No_Password : constant ADO.Queries.Query_Definition_Access;

   Query_Create_User_With_Password : constant ADO.Queries.Query_Definition_Access;

   Query_Flush_Privileges : constant ADO.Queries.Query_Definition_Access;



private

   package File_1 is
      new ADO.Queries.Loaders.File (Path => "create-database.xml",
                                    Sha1 => "9B2B599473F75F92CB5AB5045675E4CCEF926543");

   package Def_Database_List is
      new ADO.Queries.Loaders.Query (Name => "database-list",
                                     File => File_1.File'Access);
   Query_Database_List : constant ADO.Queries.Query_Definition_Access
   := Def_Database_List.Query'Access;

   package Def_Table_List is
      new ADO.Queries.Loaders.Query (Name => "table-list",
                                     File => File_1.File'Access);
   Query_Table_List : constant ADO.Queries.Query_Definition_Access
   := Def_Table_List.Query'Access;

   package Def_Create_Database is
      new ADO.Queries.Loaders.Query (Name => "create-database",
                                     File => File_1.File'Access);
   Query_Create_Database : constant ADO.Queries.Query_Definition_Access
   := Def_Create_Database.Query'Access;

   package Def_Create_User_No_Password is
      new ADO.Queries.Loaders.Query (Name => "create-user-no-password",
                                     File => File_1.File'Access);
   Query_Create_User_No_Password : constant ADO.Queries.Query_Definition_Access
   := Def_Create_User_No_Password.Query'Access;

   package Def_Create_User_With_Password is
      new ADO.Queries.Loaders.Query (Name => "create-user-with-password",
                                     File => File_1.File'Access);
   Query_Create_User_With_Password : constant ADO.Queries.Query_Definition_Access
   := Def_Create_User_With_Password.Query'Access;

   package Def_Flush_Privileges is
      new ADO.Queries.Loaders.Query (Name => "flush-privileges",
                                     File => File_1.File'Access);
   Query_Flush_Privileges : constant ADO.Queries.Query_Definition_Access
   := Def_Flush_Privileges.Query'Access;
end Gen.Database.Model;
